package com.web.controller.business;

import com.alibaba.excel.EasyExcel;
import com.hai.common.utils.ResponseMsgUtil;
import com.hai.model.HighOrderModel;
import com.hai.model.ResponseData;
import com.hai.service.HighOrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;
import java.util.List;

@Controller
@RequestMapping(value = "orderStatistic")
@Api(value = "订单统计业务")
public class OrderStatisticController {

    private static Logger log = LoggerFactory.getLogger(OrderStatisticController.class);

    @Resource
    private HighOrderService highOrderService;

    @RequestMapping(value = "/hltCardNoTopUpStatistic", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "汇联通工会卡充值统计")
    public ResponseData hltCardNoTopUpStatistic() {
        try {

            return ResponseMsgUtil.success(highOrderService.hltCardNoTopUpStatistic());

        } catch (Exception e) {
            log.error("HighOrderController --> getUserOrderList() error!", e);
            return ResponseMsgUtil.exception(e);
        }
    }
}
