package com.hai.dao;

import com.hai.entity.HighDiscountPackageDetails;
import com.hai.entity.HighDiscountPackageDetailsExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighDiscountPackageDetailsMapper extends HighDiscountPackageDetailsMapperExt {
    @SelectProvider(type=HighDiscountPackageDetailsSqlProvider.class, method="countByExample")
    long countByExample(HighDiscountPackageDetailsExample example);

    @DeleteProvider(type=HighDiscountPackageDetailsSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighDiscountPackageDetailsExample example);

    @Delete({
        "delete from high_discount_package_details",
        "where id = #{id,jdbcType=INTEGER}"
    })
    int deleteByPrimaryKey(Integer id);

    @Insert({
        "insert into high_discount_package_details (discount_package_id, discount_id, ",
        "agent_id, discount_name, ",
        "num, created_user_id, ",
        "created_time, updated_user_id, ",
        "updated_time, `status`, ",
        "ext_1, ext_2, ext_3)",
        "values (#{discountPackageId,jdbcType=INTEGER}, #{discountId,jdbcType=INTEGER}, ",
        "#{agentId,jdbcType=BIGINT}, #{discountName,jdbcType=VARCHAR}, ",
        "#{num,jdbcType=INTEGER}, #{createdUserId,jdbcType=INTEGER}, ",
        "#{createdTime,jdbcType=TIMESTAMP}, #{updatedUserId,jdbcType=INTEGER}, ",
        "#{updatedTime,jdbcType=TIMESTAMP}, #{status,jdbcType=INTEGER}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighDiscountPackageDetails record);

    @InsertProvider(type=HighDiscountPackageDetailsSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighDiscountPackageDetails record);

    @SelectProvider(type=HighDiscountPackageDetailsSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER, id=true),
        @Result(column="discount_package_id", property="discountPackageId", jdbcType=JdbcType.INTEGER),
        @Result(column="discount_id", property="discountId", jdbcType=JdbcType.INTEGER),
        @Result(column="agent_id", property="agentId", jdbcType=JdbcType.BIGINT),
        @Result(column="discount_name", property="discountName", jdbcType=JdbcType.VARCHAR),
        @Result(column="num", property="num", jdbcType=JdbcType.INTEGER),
        @Result(column="created_user_id", property="createdUserId", jdbcType=JdbcType.INTEGER),
        @Result(column="created_time", property="createdTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="updated_user_id", property="updatedUserId", jdbcType=JdbcType.INTEGER),
        @Result(column="updated_time", property="updatedTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighDiscountPackageDetails> selectByExample(HighDiscountPackageDetailsExample example);

    @Select({
        "select",
        "id, discount_package_id, discount_id, agent_id, discount_name, num, created_user_id, ",
        "created_time, updated_user_id, updated_time, `status`, ext_1, ext_2, ext_3",
        "from high_discount_package_details",
        "where id = #{id,jdbcType=INTEGER}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER, id=true),
        @Result(column="discount_package_id", property="discountPackageId", jdbcType=JdbcType.INTEGER),
        @Result(column="discount_id", property="discountId", jdbcType=JdbcType.INTEGER),
        @Result(column="agent_id", property="agentId", jdbcType=JdbcType.BIGINT),
        @Result(column="discount_name", property="discountName", jdbcType=JdbcType.VARCHAR),
        @Result(column="num", property="num", jdbcType=JdbcType.INTEGER),
        @Result(column="created_user_id", property="createdUserId", jdbcType=JdbcType.INTEGER),
        @Result(column="created_time", property="createdTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="updated_user_id", property="updatedUserId", jdbcType=JdbcType.INTEGER),
        @Result(column="updated_time", property="updatedTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighDiscountPackageDetails selectByPrimaryKey(Integer id);

    @UpdateProvider(type=HighDiscountPackageDetailsSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighDiscountPackageDetails record, @Param("example") HighDiscountPackageDetailsExample example);

    @UpdateProvider(type=HighDiscountPackageDetailsSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighDiscountPackageDetails record, @Param("example") HighDiscountPackageDetailsExample example);

    @UpdateProvider(type=HighDiscountPackageDetailsSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighDiscountPackageDetails record);

    @Update({
        "update high_discount_package_details",
        "set discount_package_id = #{discountPackageId,jdbcType=INTEGER},",
          "discount_id = #{discountId,jdbcType=INTEGER},",
          "agent_id = #{agentId,jdbcType=BIGINT},",
          "discount_name = #{discountName,jdbcType=VARCHAR},",
          "num = #{num,jdbcType=INTEGER},",
          "created_user_id = #{createdUserId,jdbcType=INTEGER},",
          "created_time = #{createdTime,jdbcType=TIMESTAMP},",
          "updated_user_id = #{updatedUserId,jdbcType=INTEGER},",
          "updated_time = #{updatedTime,jdbcType=TIMESTAMP},",
          "`status` = #{status,jdbcType=INTEGER},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=INTEGER}"
    })
    int updateByPrimaryKey(HighDiscountPackageDetails record);
}