package com.hai.dao;

import com.hai.entity.HighMerchantAccountMarketing;
import com.hai.entity.HighMerchantAccountMarketingExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighMerchantAccountMarketingMapper extends HighMerchantAccountMarketingMapperExt {
    @SelectProvider(type=HighMerchantAccountMarketingSqlProvider.class, method="countByExample")
    long countByExample(HighMerchantAccountMarketingExample example);

    @DeleteProvider(type=HighMerchantAccountMarketingSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighMerchantAccountMarketingExample example);

    @Delete({
        "delete from high_merchant_account_marketing",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_merchant_account_marketing (`type`, mer_id, ",
        "mer_account_id, price, ",
        "oil_no_relief_price, `status`, ",
        "create_time, update_time, ",
        "ext_1, ext_2, ext_3)",
        "values (#{type,jdbcType=INTEGER}, #{merId,jdbcType=BIGINT}, ",
        "#{merAccountId,jdbcType=BIGINT}, #{price,jdbcType=DECIMAL}, ",
        "#{oilNoReliefPrice,jdbcType=VARCHAR}, #{status,jdbcType=INTEGER}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighMerchantAccountMarketing record);

    @InsertProvider(type=HighMerchantAccountMarketingSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighMerchantAccountMarketing record);

    @SelectProvider(type=HighMerchantAccountMarketingSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="type", property="type", jdbcType=JdbcType.INTEGER),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_account_id", property="merAccountId", jdbcType=JdbcType.BIGINT),
        @Result(column="price", property="price", jdbcType=JdbcType.DECIMAL),
        @Result(column="oil_no_relief_price", property="oilNoReliefPrice", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighMerchantAccountMarketing> selectByExample(HighMerchantAccountMarketingExample example);

    @Select({
        "select",
        "id, `type`, mer_id, mer_account_id, price, oil_no_relief_price, `status`, create_time, ",
        "update_time, ext_1, ext_2, ext_3",
        "from high_merchant_account_marketing",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="type", property="type", jdbcType=JdbcType.INTEGER),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_account_id", property="merAccountId", jdbcType=JdbcType.BIGINT),
        @Result(column="price", property="price", jdbcType=JdbcType.DECIMAL),
        @Result(column="oil_no_relief_price", property="oilNoReliefPrice", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighMerchantAccountMarketing selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighMerchantAccountMarketingSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighMerchantAccountMarketing record, @Param("example") HighMerchantAccountMarketingExample example);

    @UpdateProvider(type=HighMerchantAccountMarketingSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighMerchantAccountMarketing record, @Param("example") HighMerchantAccountMarketingExample example);

    @UpdateProvider(type=HighMerchantAccountMarketingSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighMerchantAccountMarketing record);

    @Update({
        "update high_merchant_account_marketing",
        "set `type` = #{type,jdbcType=INTEGER},",
          "mer_id = #{merId,jdbcType=BIGINT},",
          "mer_account_id = #{merAccountId,jdbcType=BIGINT},",
          "price = #{price,jdbcType=DECIMAL},",
          "oil_no_relief_price = #{oilNoReliefPrice,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighMerchantAccountMarketing record);
}