package com.hai.dao;

import com.hai.entity.SecConfig;
import com.hai.entity.SecConfigExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface SecConfigMapper extends SecConfigMapperExt {
    @SelectProvider(type=SecConfigSqlProvider.class, method="countByExample")
    long countByExample(SecConfigExample example);

    @DeleteProvider(type=SecConfigSqlProvider.class, method="deleteByExample")
    int deleteByExample(SecConfigExample example);

    @Delete({
        "delete from sec_config",
        "where id = #{id,jdbcType=INTEGER}"
    })
    int deleteByPrimaryKey(Integer id);

    @Insert({
        "insert into sec_config (code_type, code_value)",
        "values (#{codeType,jdbcType=VARCHAR}, #{codeValue,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(SecConfig record);

    @InsertProvider(type=SecConfigSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(SecConfig record);

    @SelectProvider(type=SecConfigSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER, id=true),
        @Result(column="code_type", property="codeType", jdbcType=JdbcType.VARCHAR),
        @Result(column="code_value", property="codeValue", jdbcType=JdbcType.VARCHAR)
    })
    List<SecConfig> selectByExample(SecConfigExample example);

    @Select({
        "select",
        "id, code_type, code_value",
        "from sec_config",
        "where id = #{id,jdbcType=INTEGER}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.INTEGER, id=true),
        @Result(column="code_type", property="codeType", jdbcType=JdbcType.VARCHAR),
        @Result(column="code_value", property="codeValue", jdbcType=JdbcType.VARCHAR)
    })
    SecConfig selectByPrimaryKey(Integer id);

    @UpdateProvider(type=SecConfigSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") SecConfig record, @Param("example") SecConfigExample example);

    @UpdateProvider(type=SecConfigSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") SecConfig record, @Param("example") SecConfigExample example);

    @UpdateProvider(type=SecConfigSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(SecConfig record);

    @Update({
        "update sec_config",
        "set code_type = #{codeType,jdbcType=VARCHAR},",
          "code_value = #{codeValue,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=INTEGER}"
    })
    int updateByPrimaryKey(SecConfig record);
}