package com.hai.group;

import com.alibaba.fastjson.JSONObject;
import com.hai.entity.ApiIpAddress;
import com.hai.entity.HighGroupCode;
import com.hai.entity.HighGroupOrder;

import java.util.List;
import java.util.Map;

public interface GroupCodeService {

    /**
    * @Author Sum1Dream
    * @Name insertGroupCode
    * @Description // 新增
    * @Date 14:32 2023/11/10
    * @Param highGroupCode
     * @return void
    */
    void insertGroupCode(HighGroupCode highGroupCode);

    /**
    * @Author Sum1Dream
    * @Name updateGroupCode
    * @Description // 编辑
    * @Date 14:32 2023/11/10
    * @Param highGroupCode
     * @return void
    */
    void updateGroupCode(HighGroupCode highGroupCode);

    /**
    * @Author Sum1Dream
    * @Name findGroupCode
    * @Description // 根据id查询
    * @Date 14:32 2023/11/10
    * @Param id
     * @return com.hai.entity.HighGroupCode
    */
    HighGroupCode findGroupCode(Long id);

    /**
    * @Author Sum1Dream
    * @Name findGroupCode
    * @Description // 查询
    * @Date 14:32 2023/11/10
    * @Param map
     * @return com.hai.entity.HighGroupCode
    */
    HighGroupCode findGroupCode(Map<String , Object> map);

    /**
    * @Author Sum1Dream
    * @Name findGroupCodeList
    * @Description // 查询列表
    * @Date 14:32 2023/11/10
    * @Param map
     * @return java.util.List<com.hai.entity.HighGroupCode>
    */
    List<HighGroupCode> findGroupCodeList(Map<String , Object> map);

    /**
    * @Author Sum1Dream
    * @Name generateCode
    * @Description // 生成code
    * @Date 14:41 2023/11/10
    * @Param object
     * @return void
    */
    HighGroupCode generateCode(Long userId , Long storeId , Long orderId , Long groupId);

    /**
    * @Author Sum1Dream
    * @Name insertGroupOrder
    * @Description // 新增团购订单
    * @Date 14:54 2023/11/13
    * @Param highGroupOrder
     * @return void
    */
    void insertGroupOrder(HighGroupOrder highGroupOrder);

    /**
    * @Author Sum1Dream
    * @Name updateGroupOrder
    * @Description // 更新团购订单
    * @Date 14:55 2023/11/13
    * @Param highGroupOrder
     * @return void
    */
    void updateGroupOrder(HighGroupOrder highGroupOrder);

    /**
    * @Author Sum1Dream
    * @Name findGroupOrder
    * @Description // 查询团购订单
    * @Date 14:55 2023/11/13
    * @Param groupId
     * @return com.hai.entity.HighGroupOrder
    */
    HighGroupOrder findGroupOrder(Long groupId);

    HighGroupOrder findGroupOrder(String orderNo);




}
