package com.hai.order.model;

import com.alibaba.fastjson.JSONObject;
import io.swagger.models.auth.In;
import lombok.Data;
import java.math.BigDecimal;

/**
 * 创建子订单参数模型
 * @className: CreateOrderModel
 * @author: HuRui
 * @date: 2022/8/16
 **/
@Data
public class CreateOrderChildModel {

    /**
     * 交易订单号
     */
    private String orderNo;

    /**
     * 用户id
     */
    private Long memId;

    /**
     * 用户名称
     */
    private String memName;

    /**
     * 用户手机号
     */
    private String memPhone;

    /**
     * 产品类型
     * 1.   卡卷
     * 2.    积分充值
     * 3.    加油订单
     * 4.    KFC
     * 5.    电影票
     * 6.    话费充值
     * 7.    优惠卷包
     * 8.    汇联通充值
     * 9.    星巴克
     * 10.  第三方充值
     * 11.  实物商品购买
     * 12.  停车券购买
     * 13.  停车券核销
     */
    private Integer goodsType;

    /**
     * 产品Id
     */
    private Long goodsId;

    /**
     * 产品规格
     */
    private String goodsSpecName;

    /**
     * 产品价格
     */
    private BigDecimal goodsPrice;

    /**
     * 商品数量
     */
    private Integer saleCount;

    /**
     * 门店Id
     */
    private Long storeId;

    /**
     * 公司ID
     */
    private Long companyId;


    /** ======================= 油站所需参数 ======================== **/
    // 加油员code
    private String gasStaffCode;
    // 油号
    private String gasOilNo;
    // 枪号
    private String gasGunNo;
    // 代理商价格
    private Boolean isTyAgent;
    // 油卡号
    private String oilCardNo;
    /** ======================= 油站所需参数 ======================== **/


    /** ======================= 肯德基，星巴克，会员充值所需参数 start ======================== **/
    // 下单电话
    private String customerMobile;
     // 产品类型 1：星巴克 2：肯德基 3：会员充值
    private Integer productType;
    // 平台id 1：小程序 2：H5 3：银联
    private Integer platformId;
    // 就餐方式 1：店内就餐 2：打包
    private Integer eatType;
    // 门店编号
    private String storeCode;
    // 请求参数
    private Object orderItems;
    /** ======================= 肯德基，星巴克，会员充值所需参数 end ======================== **/

    /** ======================= 话费充值所需参数 start ======================== **/
    // 充值内容
    private String rechargeContent;
    /** ======================= 话费充值所需参数 end ======================== **/
    /** ======================= 实物商品所需参数 start ======================== **/
    // 规格编码
    private Long skuId;
    // 商品内容
    private Long shopCartId;
    /** ======================= 实物商品所需参数 end ======================== **/

    /** ======================= 比邻星停车券 start ======================== **/
    // 停车券编码
    private String couponCode;
    // 实际单价
    private BigDecimal price;
    /** ======================= 比邻星停车券 end ======================== **/

    /** ======================= 比邻星停车核销 start ======================== **/
    // 停车场ID
    private String parkId;
    // 停车场订单ID
    private String parkOrderId;
    // 停车场名称
    private String parkName;
    // 订单类型 10=路边订单，20=室内订单
    private Integer orderType;
    // 已支付金额 单位分
    private BigDecimal prePrice;
    // 入场时间
    private String inTime;
    // 出场时间
    private String outTime;
    // 优惠券券码
    private String userCouponCode;
    // 停车场时长
    private String parkTime;
    // 车位ID
    private String carSeatId;
    // 车牌号
    private String carNo;
    /** ======================= 比邻星停车核销 end ======================== **/

    /** ======================= 实物商品所需参数 start ======================== **/
    // 团购id
    private Long groupId;
    /** ======================= 实物商品所需参数 end ======================== **/
}
